# Generated by Django 2.0.5 on 2019-11-06 12:58

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0075_auto_20190918_1152'),
        ('core', '0054_auto_20191024_0706'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('subscription_id', models.CharField(max_length=50)),
                ('subscription_crm_id', models.PositiveIntegerField()),
                ('subscription_category_id', models.IntegerField(blank=True, null=True)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
                ('is_active_in_crm', models.BooleanField(default=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptions', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptions', to='accounts.Provider')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='subscriptiondata',
            unique_together={('provider', 'subscription_crm_id')},
        ),
    ]
